<?php
$xsl_order = to_str($GLOBALS['LA']['xsl_order']);
$current_shop_id = to_int($GLOBALS['LA']['shop_id']);

if (class_exists('SiteUsers'))
{
	if (class_exists('shop'))
	{
		$shop = & singleton('shop');
	
		/* Получаем id текущего пользователя сайта */
		$SiteUsers = & singleton('SiteUsers');
	
		$site_user_id = $SiteUsers->GetCurrentSiteUser();
	
		if (to_str($_REQUEST['action']) == 'cancel')
		{
			$shop_order_guid = to_str($_REQUEST['shop_order_guid']);
			
			$order_row = $shop->GetOrderByGuid($shop_order_guid);
			
			if ($order_row)
			{
				$shop_order_id = $order_row['shop_order_id'];
						
				/* Аннулируем заказ, только если он еще не оплачен */
				if (!$order_row['shop_order_status_of_pay'])
				{
					if ($shop->CancelOrder($shop_order_id))
					{
						$msg = 'Заказ успешно отменен.';
					}
					else
					{
						$msg = 'Ошибка при отмене заказа.';
					}
				}
				else
				{
					$msg = 'Нельзя отменить заказ, так как он уже оплачен.';
				}
			}
			else
			{
				$msg = 'Информация о заказе не найдена.';
			}
	
			/* Редирект */
			$time = 5; // секунд
			$structure = & singleton('Structure');
			$path = '/'.$structure->GetStructurePath(CURRENT_STRUCTURE_ID);
			?>
			<h1>Отмена заказа</h1>
			<p><?php echo $msg?> Через <?php echo $time?> секунд Вы вернетесь к
			списку заказов.</p>
			<p>Если Вы не хотите ждать, перейдите по <a href="<?php echo $path?>">ссылке</a>.</p>
			<script language="JavaScript" type="text/javascript">
			<!--
			function set_location()
			{
				location = "<?php echo $path?>";
			}
			setTimeout('set_location()', <?php echo $time * 1000?>);
			//-->
			</script>
			<?php
		}
		// Изменить платежную систему для заказа
		elseif(isset($_POST['change_order_type_button']))
		{
			$iOrderId = to_int($_POST['order_id']);
			$iSystemOfPay = to_int($_POST['system_of_pay_id']);
	
			$aOrderInfo = $shop->GetOrder($iOrderId); 
	
			// Если заказ принадлежит пользователю и изменились данные о форме оплаты
			if ($site_user_id == $aOrderInfo['site_users_id']
			&& $iSystemOfPay != $aOrderInfo['shop_system_of_pay_id']
			// и заказ еще не оплачен
			&& $aOrderInfo['shop_order_status_of_pay'] == 0)
			{
				$aSystemOfPayInfo = $shop->GetSystemOfPay($iSystemOfPay); 
	
				// если платёжная система существует и активна
				if (isset($aSystemOfPayInfo['shop_system_of_pay_is_active'])
				&& $aSystemOfPayInfo['shop_system_of_pay_is_active'] == 1)
				{
					$param = Array();
					$param['id'] = $iOrderId;
					$param['shop_system_of_pay_id'] = $iSystemOfPay;
	
					$shop->InsertOrder($param);
				}
			}
			
			/* Редирект */
			$time = 5; // секунд
			$structure = & singleton('Structure');
			$path = '/'.$structure->GetStructurePath(CURRENT_STRUCTURE_ID);
			?>
			<h1>Изменение формы оплаты заказа</h1>
			<p>Через <?php echo $time?> секунд Вы вернетесь к списку заказов.</p>
			<p>Если Вы не хотите ждать, перейдите по <a href="<?php echo $path?>">ссылке</a>.</p>
			<script language="JavaScript" type="text/javascript">
			<!--
			function set_location()
			{
				location = "<?php echo $path?>";
			}
			setTimeout('set_location()', <?php echo $time * 1000?>);
			//-->
			</script>
			<?php
		}
		else
		{
			if ($site_user_id > 0)
			{
				$param = array();
	
				// ограничение списка заказов по магазину, необходимо также для того, чтобы отобразить список платежных систем для смены у заказа
				$param['shop_shops_id'] = $current_shop_id;
	
				$shop->ShowUserOrders($site_user_id, $xsl_order, $param);
			}
			else
			{
				?><h1>Вы не авторизованы!</h1>
				<p>Для просмотра заказов необходимо авторизироваться.</p>
				<?php
			}
		}
	}
	else
	{
		?><h1>Мои заказы</h1>
		<p>Список заказов временно недоступен.</p>
		<?php 
	}
}
else
{
	?>
	<h1>Пользователи сайта</h1>
	<p>Функционал недоступен, приобретите более старшую редакцию.</p>
	<p>Модуль &laquo;<a href="http://www.hostcms.ru/hostcms/modules/users/">Пользователи сайта</a>&raquo; доступен в редакциях &laquo;<a href="http://www.hostcms.ru/hostcms/editions/corporation/">Корпорация</a>&raquo; и &laquo;<a href="http://www.hostcms.ru/hostcms/editions/business/">Бизнес</a>&raquo;.</p> 
	<?php
}
?>